curl -i -X POST \
'https://developer.zuora.com/_mock/v1-api-reference/api/workflows/import?workflow_definition_id=0&version=string&activate=true' \
-H 'Accept-Encoding: string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Encoding: string' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: string' \
-H 'Zuora-Track-Id: string' \
-d '{
"workflow": {
"id": 458,
"name": "Checking Workflow",
"description": "",
"type": "Workflow::Setup",
"ondemand_trigger": true,
"callout_trigger": false,
"scheduled_trigger": false,
"interval": "",
"timezone": "",
"status": "Active",
"version": "0.0.1"
},
"tasks": [
{
"id": 1418,
"name": "Checking the Approval Email",
"parameters": {
"emailBody": "<body style=\\font-family: Arial, sans-serif; margin: 20px; line-height: 1.6; color: #333;\\>\\n\\t<p> Hello,</p>\\n\\t<p>You have a pending approval. Please <a href=\\{{Data.Approval.approveLink}}\\>approve</a> or <a href=\\{{Data.Approval.rejectLink}}\\>reject</a>.</p>\\n\\t<p>Thanks</p> \\n</body>",
"senderName": "Admin",
"senderEmail": "workflow@zuora.com",
"approvalNote": "",
"subjectEmail": "This is the email to check if this email is working",
"delivery_method": "email",
"email_approver_emails": [
"admin@company.com"
]
},
"action_type": "Approval",
"object": "",
"object_id": "",
"call_type": "SOAP",
"task_id": null,
"concurrent_limit": 9999999,
"tags": []
}
],
"linkages": [
{
"source_workflow_id": 458,
"source_task_id": null,
"target_task_id": 1418,
"linkage_type": "Finish"
}
]
}'